Delete theme asset
Permanently removes a static asset from a theme. Requires admin scope.
DELETE
/themes/{theme_id}/assets/{id}Authorization
AuthorizationBearer token (JWT) · headerrequiredOAuth 2.0 Bearer token. Obtain via `POST https://auth.onbolder.com/oauth/token`.
Scopes:
adminPath parameters
theme_idstringrequiredidstringrequiredAsset ID
Responses
204Asset deleted
404Resource not found
messagestringRequest
curl -X DELETE "https://api.onbolder.com/v1/themes/string/assets/string" \
-H "Authorization: Bearer YOUR_TOKEN"const response = await fetch("https://api.onbolder.com/v1/themes/string/assets/string", {
method: "DELETE",
headers: {
"Authorization": "Bearer YOUR_TOKEN"
}
});import requests
response = requests.delete(
"https://api.onbolder.com/v1/themes/string/assets/string",
headers={
"Authorization": "Bearer YOUR_TOKEN"
},
)Response
Asset deleted
{
"message": "string"
}